Bug 168524 - redhat-config-users will not show user properties if shadow passwords aren't used
redhat-config-users will not show user properties if shadow passwords aren't ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-users (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks: 178252 187539
  Show dependency treegraph
 
Reported: 2005-09-16 17:14 EDT by Josef Bacik
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0252
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 15:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes the issue. (3.30 KB, patch)
2005-09-16 17:16 EDT, Josef Bacik
no flags Details | Diff

  None (edit)
Description Josef Bacik 2005-09-16 17:14:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
If you use authconfig-gtk and turn off shadow passwords, and then run redhat-config-users and click on a user, then click on properties you will get a traceback

Traceback (most recent call last):
 File "/usr/share/redhat-config-users/mainWindow.py", line 723, in on_properties_activate
   self.user_properties()
 File "/usr/share/redhat-config-users/mainWindow.py", line 732, in user_properties
   self.userProperties.showUserProperties(userEnt)
 File "/usr/share/redhat-config-users/userProperties.py", line 214, in showUserProperties
   if int(min[0]) == 0 and int(max[0]) == 99999 and int(warning[0]) == 7 and int(inactive[0]) == -1:
IndexError: list index out of range

Version-Release number of selected component (if applicable):
redhat-config-users-1.1.18-5

How reproducible:
Always

Steps to Reproduce:
1.turn off shadow passwords
2.run redhat-config-users
3.click on a user then click properties
  

Actual Results:  you get the traceback show above

Expected Results:  should show the properties dialog

Additional info:
Comment 1 Josef Bacik 2005-09-16 17:16:13 EDT
Created attachment 118918 [details]
This patch fixes the issue.

this patch checks to see if shadow is enabled before loading the shadow
variables.
Comment 2 Nils Philippsen 2005-09-30 11:10:48 EDT
Fixed in system-config-users-1.2.40 in Rawhide.
Comment 16 Red Hat Bugzilla 2006-03-29 15:59:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0252.html
Comment 18 Issue Tracker 2007-07-06 13:33:19 EDT
CRM closed, closing this

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Auto Closed'

This event sent from IssueTracker by pdemauro 
 issue 82275

Note You need to log in before you can comment on or make changes to this bug.